Move dump scripts from phosphor-debug-collector
This commit is intended to move the dump collection
scripts from openbmc/phosphor-debug-collector repository.
Following are the scripts that are pulled from the
specified paths of openbmc/phosphor-debug-collector.
1. tools/dreport.d/ibm.d/package
2. tools/dreport.d/ibm.d/plugins.d/pels
3. tools/dreport.d/ibm.d/plugins.d/badpel
4. tools/dreport.d/ibm.d/plugins.d/vpd_data
5. tools/dreport.d/openpower.d/plugins.d/cfam
6. tools/dreport.d/openpower.d/plugins.d/dumpfilelist
7. tools/dreport.d/openpower.d/plugins.d/guardlist
8. tools/dreport.d/openpower.d/plugins.d/obmcconsole1
9. tools/dreport.d/openpower.d/plugins.d/occ
10.tools/dreport.d/openpower.d/plugins.d/phal_devtree
Also the following 3 patches have been applied.
1.https://gerrit.openbmc.org/c/openbmc/phosphor-debug-collector/+/56428
2.https://gerrit.openbmc.org/c/openbmc/phosphor-debug-collector/+/52436
3.https://gerrit.openbmc.org/c/openbmc/phosphor-debug-collector/+/47917
Also, added meson changes to install the scripts.
Test:
Verified that the scripts are getting installed correctly on BMC.
Change-Id: Iaddf909efaa138db06c877e5ca6a80608feb5baf
Signed-off-by: Gopichand Paturi <gopichandpaturi@gmail.com>
diff --git a/dump/tools/bmcdump/scripts/package b/dump/tools/bmcdump/scripts/package
new file mode 100644
index 0000000..df87315
--- /dev/null
+++ b/dump/tools/bmcdump/scripts/package
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+# @brief Packaging the dump, applying the header
+# and transferring to dump location.
+function custom_package()
+{
+ tar -Jcf "$name_dir.bin" -C \
+ "$(dirname "$name_dir")" "$(basename "$name_dir")"
+ # shellcheck disable=SC2181 # need output from `tar` in above if cond.
+ if [ $? -ne 0 ]; then
+ echo "$($TIME_STAMP)" "Could not create the compressed tar file"
+ rm -r "$name_dir.bin"
+ return "$INTERNAL_FAILURE"
+ fi
+
+ echo "Adding Dump Header :"$HEADER_EXTENSION
+ ("$HEADER_EXTENSION")
+
+ cat "$name_dir.bin" | tee -a "/tmp/dumpheader_$EPOCHTIME" > /dev/null
+ #remove the temporary name specific directory
+ rm -rf "$name_dir"
+ mv "/tmp/dumpheader_$EPOCHTIME" "$name_dir"
+
+ echo "$($TIME_STAMP)" "Report is available in $dump_dir"
+ if [ "$TMP_DIR" == "$dump_dir" ] || [ "$TMP_DIR/" == "$dump_dir" ]; then
+ return "$SUCCESS"
+ fi
+
+ #copy the compressed tar file into the destination
+ cp "$name_dir" "$dump_dir"
+ if [ $? -ne 0 ]; then
+ echo "Failed to copy the $name_dir to $dump_dir"
+ rm "$name_dir.bin"
+ return "$INTERNAL_FAILURE"
+ fi
+
+ #Remove the temporary copy of the file
+ rm -rf "$name_dir.bin" "$name_dir"
+}
+
+# Executing function
+custom_package